%define module Gtk2-SourceView

Summary: Perl module for the gtksourceview library
Name:    perl-%module
Version: 1.000
Release: %mkrel 7
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
Patch:   Gtk2-SourceView-1.000-port-to-api2.patch
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel 
BuildRequires: perl-devel 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Gnome2 >= 0.30
BuildRequires: perl-Glib > 1.00
BuildRequires: perl-Gnome2-Print
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: libgnomeprintui2-2-devel
BuildRequires: libgtksourceview-1.0-devel >= 0.7 
# for data files:
Requires: gtksourceview1

Requires: gtk+2

%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %module-%version
# (tv) disabled (not enought to build with gtksourceview-2):
#%patch -p0
find -type d -name CVS | xargs rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*




%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.000-7mdv2008.1
+ Revision: 152150
- rebuild for new perl
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 5mdv2008.1-current
+ Revision: 134180
- requires gtksourceview1 for data files
- disable patch 0 (not enought to build with gtksourceview-2)
- BR libgtksourceview-1.0-devel instead of latest one
- kill re-definition of %%buildroot on Pixel's request
- readd missing patch
- rebuild


* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.000-3mdv2007.0
+ Revision: 122789
- rebuild in order to get the same extension on x86_64
- Import perl-Gtk2-SourceView

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.000-2mdk
- Fix BuildRequires

* Tue Oct 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.000-1mdk
- new release

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-4mdk
- buildrequires fix

* Tue Feb 08 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.0-3mdk
- rebuild for new perl and for nice number of version

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0-2mdk
- rebuild for perl-5.8.5
- fix too long description
- really remove CVS directories
- remove explicit requires on libgtk+2

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0-1mdk
- initial release

